ServerEvents.recipes(event => {
    event.remove({id: 'advgenerators:crafting/iron_frame'})
    event.remove({id: 'advgenerators:turbines/blade'})
    event.remove({id: 'advgenerators:turbines/rotor_tier2'})
    event.remove({id: 'advgenerators:turbines/rotor_tier3'})
    event.remove({id: 'advgenerators:turbines/rotor_tier4_invar'})
    event.remove({id: 'advgenerators:turbines/rotor_tier4_steel'})
    event.remove({id: 'advgenerators:turbines/rotor_tier5_enderium'})
    event.remove({id: 'advgenerators:turbines/rotor_tier5_alloy'})
    event.remove({id: 'advgenerators:turbines/kit_tier2'})
    event.remove({id: 'advgenerators:turbines/kit_tier3'})
    event.remove({id: 'advgenerators:turbines/kit_tier4_invar'})
    event.remove({id: 'advgenerators:turbines/kit_tier4_steel'})
    event.remove({id: 'advgenerators:turbines/kit_tier5_enderium'})
    event.remove({id: 'advgenerators:turbines/kit_tier5_alloy'})
    event.remove({id: 'advgenerators:crafting/iron_tubing'})
})

ServerEvents.recipes(event => {
    //Iron Frame
    event.shaped('2x advgenerators:iron_frame',
    ['121','2 2','121'], {
        1: '#forge:ingots/iron', 
        2: '#forge:rods/iron'
    }).id('advgenerators:iron_frame')

    //Basic Turbine Blade
    event.shaped('2x advgenerators:turbine_blade',
    [' 11',' 11','  2'], {
        1: '#forge:plates/iron', 
        2: '#forge:rods/iron'
    }).id('advgenerators:turbine_blade')

    //Enhanced Turbine Rotor
    event.shaped('advgenerators:turbine_rotor_tier2',
    ['111','121','111'], {
        1: '#forge:ingots/energetic_alloy', 
        2: 'advgenerators:turbine_rotor_tier1'
    }).id('advgenerators:turbine_rotor_tier2')

    //Advanced Turbine Rotor
    event.shaped('advgenerators:turbine_rotor_tier3',
    ['111','121','111'], {
        1: '#forge:ingots/source_steel', 
        2: 'advgenerators:turbine_rotor_tier2'
    }).id('advgenerators:turbine_rotor_tier3')

    //Reinforced Turbine Rotor
    event.shaped('advgenerators:turbine_rotor_tier4',
    ['111','121','111'], {
        1: '#forge:ingots/compressed_iron', 
        2: 'advgenerators:turbine_rotor_tier3'
    }).id('advgenerators:turbine_rotor_tier4')

    //Composite Turbine Rotor
    event.shaped('advgenerators:turbine_rotor_tier5',
    ['111','121','111'], {
        1: '#forge:ingots/cyanite', 
        2: 'advgenerators:turbine_rotor_tier4'
    }).id('advgenerators:turbine_rotor_tier5')

    //Enhanced Turbine Upgrade Kit
    event.shaped('advgenerators:turbine_kit_tier2',
    ['111','121','111'], {
        1: '#forge:ingots/energetic_alloy', 
        2: 'advgenerators:upgrade_kit'
    }).id('advgenerators:turbine_kit_tier2')

    //Advanced Turbine Upgrade Kit
    event.shaped('advgenerators:turbine_kit_tier3',
    ['111','121','111'], {
        1: '#forge:ingots/source_steel', 
        2: 'advgenerators:upgrade_kit'
    }).id('advgenerators:turbine_kit_tier3')

    //Reinforced Turbine Upgrade Kit
    event.shaped('advgenerators:turbine_kit_tier4',
    ['111','121','111'], {
        1: '#forge:ingots/compressed_iron', 
        2: 'advgenerators:upgrade_kit'
    }).id('advgenerators:turbine_kit_tier4')

    //Composite Turbine Upgrade Kit
    event.shaped('advgenerators:turbine_kit_tier5',
    ['111','121','111'], {
        1: '#forge:ingots/cyanite', 
        2: 'advgenerators:upgrade_kit'
    }).id('advgenerators:turbine_kit_tier5')

    //Iron Tubing
    event.shaped('4x advgenerators:iron_tubing',
    ['  1',' 2 ','1  '], {
        2: '#forge:wires/iron', 
        1: '#forge:rods/wooden'
    }).id('advgenerators:iron_tubing')
})